Subject: Re: [PATCH v3 3/3] object-info: add option for retrieving object info

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Mar 2022 16:42:01 -0700

Jonathan Tan <[email-masked]> writes:

> Calvin and I discussed details of implementation before he wrote these
> patches, and my thinking at that time was that to get the relevant
> information, we're prepared to fetch the objects themselves from the
> remote if need be, but prefer to fetch only metadata if possible, so
> putting it in "fetch" seemed reasonable to me. But I agree that it's
> probably better to put it somewhere else.

Yeah, I am sympathetic that every "learning something from remote"
looks like a "fetch".  After all, a remote blame may be "fetching
the result of running blame".  But it may not be a good way to
decide what the feature should be called.

Thanks.